<style type="text/css" scoped="">
.header{
  height: 70px;
  background-color: #fff;
  border-bottom: 1px solid #eee;
  display: flex;
  align-items: center;
}
.header_inner{
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.auth_text{
  font-size: 12px;
}
.auth_text .h_auth_item{
  cursor: pointer;
}
.auth_text .h_auth_item:hover{
  color: #1D72FF;
}
.auth_user{
  margin-right: 20px;
}
.change_password_form{
  z-index: 3;
}
</style>
<template>
  <div class="header">
    <div class="comm_width header_inner">
      <logo class="h_logo"></logo>

      <div class="auth_text" v-if="show_auth">
        <span class="h_auth_item blue_ft auth_user">{{ user_info.user_name }}</span>
        <span class="h_auth_item gray_ft" @click="visible('change_password_form_config', true)">修改密码/</span><span @click="log_out" class="gray_ft">退出登录</span>
      </div>
    </div>
    <change_password_form 
    class="change_password_form" 
    @close="visible('change_password_form_config', false)"
    @success="visible('change_password_form_config', false)"
    v-if="change_password_form_config.visible"
    ></change_password_form>
  </div>
</template>
<script type="text/javascript">
import logo from '@/components/top_logo.vue'
import change_password_form from '@/modules/admins/login_manage/change_password_form.vue'
import {
  get_token,
  remove_key
} from '@/modules/stores'
export default {
  data () {
    return {
      user_info: {
        user_name: get_token('user_name')
      },
      change_password_form_config: {
        visible: false
      }
    }
  },
  props: {
    show_auth: {
      type: Boolean,
      default () {
        return true;
      }
    }
  },
  methods: {
    visible (config = 'change_password_form_config', status = false) {
      this[config].visible = status;
    },
    log_out () {
      remove_key('user_name');
      remove_key('token');
      document.cookie = `token=''; expires=${ new Date('2008-01-01 00:00:00').toUTCString() }; path=/`;
      this.$router.push({
        'name': 'login'
      });
    }
  },
  components: {
    logo,
    change_password_form
  }
}
</script>